/* Helpers */
/* Colors */
/* Darks */
/* Purples */
/* Fonts */
/* Fonts Declaration */
@font-face {
  font-family: "Ovo-Regular";
  src: url("assets/fonts/Ovo/Ovo-Regular.ttf") format("truetype");
}
/* Mixins */
/* Components */
.grid-container-1 {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-column-gap: 40px;
  padding: 0;
  margin: 0;
}
.grid-container-1 .col1 {
  grid-column: span 1;
}
.grid-container-1 .col1.startat1 {
  grid-column: 1/span 1;
}
.grid-container-1 .startat1 {
  grid-column: span 1;
}

.grid-container-2 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-column-gap: 40px;
  padding: 0;
  margin: 0;
}
.grid-container-2 .col1 {
  grid-column: span 1;
}
.grid-container-2 .col1.startat1 {
  grid-column: 1/span 1;
}
.grid-container-2 .col1.startat2 {
  grid-column: 2/span 1;
}
.grid-container-2 .startat1 {
  grid-column: span 1;
}
.grid-container-2 .col2 {
  grid-column: span 2;
}
.grid-container-2 .col2.startat1 {
  grid-column: 1/span 2;
}
.grid-container-2 .col2.startat2 {
  grid-column: 2/span 2;
}
.grid-container-2 .startat2 {
  grid-column: span 2;
}

.grid-container-3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-column-gap: 40px;
  padding: 0;
  margin: 0;
}
.grid-container-3 .col1 {
  grid-column: span 1;
}
.grid-container-3 .col1.startat1 {
  grid-column: 1/span 1;
}
.grid-container-3 .col1.startat2 {
  grid-column: 2/span 1;
}
.grid-container-3 .col1.startat3 {
  grid-column: 3/span 1;
}
.grid-container-3 .startat1 {
  grid-column: span 1;
}
.grid-container-3 .col2 {
  grid-column: span 2;
}
.grid-container-3 .col2.startat1 {
  grid-column: 1/span 2;
}
.grid-container-3 .col2.startat2 {
  grid-column: 2/span 2;
}
.grid-container-3 .col2.startat3 {
  grid-column: 3/span 2;
}
.grid-container-3 .startat2 {
  grid-column: span 2;
}
.grid-container-3 .col3 {
  grid-column: span 3;
}
.grid-container-3 .col3.startat1 {
  grid-column: 1/span 3;
}
.grid-container-3 .col3.startat2 {
  grid-column: 2/span 3;
}
.grid-container-3 .col3.startat3 {
  grid-column: 3/span 3;
}
.grid-container-3 .startat3 {
  grid-column: span 3;
}

.grid-container-4 {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-column-gap: 40px;
  padding: 0;
  margin: 0;
}
.grid-container-4 .col1 {
  grid-column: span 1;
}
.grid-container-4 .col1.startat1 {
  grid-column: 1/span 1;
}
.grid-container-4 .col1.startat2 {
  grid-column: 2/span 1;
}
.grid-container-4 .col1.startat3 {
  grid-column: 3/span 1;
}
.grid-container-4 .col1.startat4 {
  grid-column: 4/span 1;
}
.grid-container-4 .startat1 {
  grid-column: span 1;
}
.grid-container-4 .col2 {
  grid-column: span 2;
}
.grid-container-4 .col2.startat1 {
  grid-column: 1/span 2;
}
.grid-container-4 .col2.startat2 {
  grid-column: 2/span 2;
}
.grid-container-4 .col2.startat3 {
  grid-column: 3/span 2;
}
.grid-container-4 .col2.startat4 {
  grid-column: 4/span 2;
}
.grid-container-4 .startat2 {
  grid-column: span 2;
}
.grid-container-4 .col3 {
  grid-column: span 3;
}
.grid-container-4 .col3.startat1 {
  grid-column: 1/span 3;
}
.grid-container-4 .col3.startat2 {
  grid-column: 2/span 3;
}
.grid-container-4 .col3.startat3 {
  grid-column: 3/span 3;
}
.grid-container-4 .col3.startat4 {
  grid-column: 4/span 3;
}
.grid-container-4 .startat3 {
  grid-column: span 3;
}
.grid-container-4 .col4 {
  grid-column: span 4;
}
.grid-container-4 .col4.startat1 {
  grid-column: 1/span 4;
}
.grid-container-4 .col4.startat2 {
  grid-column: 2/span 4;
}
.grid-container-4 .col4.startat3 {
  grid-column: 3/span 4;
}
.grid-container-4 .col4.startat4 {
  grid-column: 4/span 4;
}
.grid-container-4 .startat4 {
  grid-column: span 4;
}

.grid-container-6 {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-column-gap: 40px;
  padding: 0;
  margin: 0;
}
.grid-container-6 .col1 {
  grid-column: span 1;
}
.grid-container-6 .col1.startat1 {
  grid-column: 1/span 1;
}
.grid-container-6 .col1.startat2 {
  grid-column: 2/span 1;
}
.grid-container-6 .col1.startat3 {
  grid-column: 3/span 1;
}
.grid-container-6 .col1.startat4 {
  grid-column: 4/span 1;
}
.grid-container-6 .col1.startat5 {
  grid-column: 5/span 1;
}
.grid-container-6 .col1.startat6 {
  grid-column: 6/span 1;
}
.grid-container-6 .startat1 {
  grid-column: span 1;
}
.grid-container-6 .col2 {
  grid-column: span 2;
}
.grid-container-6 .col2.startat1 {
  grid-column: 1/span 2;
}
.grid-container-6 .col2.startat2 {
  grid-column: 2/span 2;
}
.grid-container-6 .col2.startat3 {
  grid-column: 3/span 2;
}
.grid-container-6 .col2.startat4 {
  grid-column: 4/span 2;
}
.grid-container-6 .col2.startat5 {
  grid-column: 5/span 2;
}
.grid-container-6 .col2.startat6 {
  grid-column: 6/span 2;
}
.grid-container-6 .startat2 {
  grid-column: span 2;
}
.grid-container-6 .col3 {
  grid-column: span 3;
}
.grid-container-6 .col3.startat1 {
  grid-column: 1/span 3;
}
.grid-container-6 .col3.startat2 {
  grid-column: 2/span 3;
}
.grid-container-6 .col3.startat3 {
  grid-column: 3/span 3;
}
.grid-container-6 .col3.startat4 {
  grid-column: 4/span 3;
}
.grid-container-6 .col3.startat5 {
  grid-column: 5/span 3;
}
.grid-container-6 .col3.startat6 {
  grid-column: 6/span 3;
}
.grid-container-6 .startat3 {
  grid-column: span 3;
}
.grid-container-6 .col4 {
  grid-column: span 4;
}
.grid-container-6 .col4.startat1 {
  grid-column: 1/span 4;
}
.grid-container-6 .col4.startat2 {
  grid-column: 2/span 4;
}
.grid-container-6 .col4.startat3 {
  grid-column: 3/span 4;
}
.grid-container-6 .col4.startat4 {
  grid-column: 4/span 4;
}
.grid-container-6 .col4.startat5 {
  grid-column: 5/span 4;
}
.grid-container-6 .col4.startat6 {
  grid-column: 6/span 4;
}
.grid-container-6 .startat4 {
  grid-column: span 4;
}
.grid-container-6 .col5 {
  grid-column: span 5;
}
.grid-container-6 .col5.startat1 {
  grid-column: 1/span 5;
}
.grid-container-6 .col5.startat2 {
  grid-column: 2/span 5;
}
.grid-container-6 .col5.startat3 {
  grid-column: 3/span 5;
}
.grid-container-6 .col5.startat4 {
  grid-column: 4/span 5;
}
.grid-container-6 .col5.startat5 {
  grid-column: 5/span 5;
}
.grid-container-6 .col5.startat6 {
  grid-column: 6/span 5;
}
.grid-container-6 .startat5 {
  grid-column: span 5;
}
.grid-container-6 .col6 {
  grid-column: span 6;
}
.grid-container-6 .col6.startat1 {
  grid-column: 1/span 6;
}
.grid-container-6 .col6.startat2 {
  grid-column: 2/span 6;
}
.grid-container-6 .col6.startat3 {
  grid-column: 3/span 6;
}
.grid-container-6 .col6.startat4 {
  grid-column: 4/span 6;
}
.grid-container-6 .col6.startat5 {
  grid-column: 5/span 6;
}
.grid-container-6 .col6.startat6 {
  grid-column: 6/span 6;
}
.grid-container-6 .startat6 {
  grid-column: span 6;
}

.grid {
  padding-top: 50px;
  padding-bottom: 50px;
}

.silver {
  width: 30px;
}

.refresh-price {
  font-size: 1.2rem;
  color: #BAB8C9;
}

/* greyscale filter on disabled icons */
.greyscale {
  -webkit-filter: grayscale(1);
  /* Google Chrome, Safari 6+ & Opera 15+ */
  filter: grayscale(1);
  /* Microsoft Edge and Firefox 35+ */
}

.bi-pencil-fill, .bi-eye-fill, .fa-trash-alt {
  cursor: pointer;
}
.bi-pencil-fill:hover, .bi-eye-fill:hover, .fa-trash-alt:hover {
  color: #8D00F2 !important;
}

i + i {
  padding-left: 10px;
}

.cursor-pointer:hover {
  cursor: pointer;
}

.navbar {
  font-size: 1.2rem;
  background-color: #252533;
  display: flex;
  align-items: center;
  min-height: 100px;
}
@media (max-width: 767.98px) {
  .navbar {
    min-height: inherit;
  }
}
.navbar .nav-item {
  display: flex;
  align-items: center;
}
.navbar .nav-link {
  color: #BAB8C9;
}
.navbar .nav-link.active {
  color: #FFFFFF;
}

.nav-logo {
  margin-right: 50px;
  width: 100px !important;
  height: 105px !important;
  background-size: cover;
  background-repeat: no-repeat;
  background-image: url("assets/images/icons/BlackSpiritEfficiency.png");
}
@media (max-width: 767.98px) {
  .nav-logo {
    margin-right: 0;
  }
}
.nav-logo:hover {
  width: 100px !important;
  height: 105px !important;
  background-image: url("assets/images/icons/BlackSpiritEfficiency-contour.png");
  background-size: contain;
}

.navbar {
  font-size: 1.2rem;
  background-color: #252533;
  display: flex;
  align-items: center;
  min-height: 100px;
}
@media (max-width: 767.98px) {
  .navbar {
    min-height: inherit;
  }
}
.navbar .nav-item {
  display: flex;
  align-items: center;
}
.navbar .nav-link {
  color: #BAB8C9;
}
.navbar .nav-link.active {
  color: #FFFFFF;
}

.nav-logo {
  margin-right: 50px;
  width: 100px !important;
  height: 105px !important;
  background-size: cover;
  background-repeat: no-repeat;
  background-image: url("assets/images/icons/BlackSpiritEfficiency.png");
}
@media (max-width: 767.98px) {
  .nav-logo {
    margin-right: 0;
  }
}
.nav-logo:hover {
  width: 100px !important;
  height: 105px !important;
  background-image: url("assets/images/icons/BlackSpiritEfficiency-contour.png");
  background-size: contain;
}

.navbar-admin {
  align-items: center;
  justify-content: center;
}
@media (max-width: 991.98px) {
  .navbar-admin {
    flex-direction: column;
    gap: 15px;
  }
}
.navbar-admin button {
  padding: 5px;
}
.navbar-admin button a {
  padding: 0;
}
.navbar-admin button + button {
  margin-left: 15px;
}

.page-header {
  margin-top: 50px;
  margin-bottom: 50px;
  padding: 25px;
  text-align: center;
  background-color: #252533;
  border: 1px solid #8D00F2;
}

.page-header h1 {
  font-size: 2.8rem;
}

.block {
  padding: 25px;
  margin-bottom: 25px;
  background-color: #252533;
  border: 1px solid #8D00F2;
}
.block h4 {
  text-align: center;
  margin-bottom: 25px;
}
.block canvas {
  width: 100%;
}

.no-background {
  background-color: unset !important;
}

.card-container.card {
  max-width: 350px !important;
  padding: 40px 40px;
}

.card {
  background-color: #252533 !important;
  padding: 20px 25px 30px;
  margin: 50px auto 25px;
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  border-radius: 2px;
  -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
}

.profile-img-card {
  width: 96px;
  height: 96px;
  margin: 0 auto 10px;
  display: block;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
}

.Timers {
  display: flex;
  justify-content: center;
}
@media (max-width: 900px) {
  .Timers {
    flex-direction: column;
    align-items: center;
  }
}

@media (max-width: 900px) {
  .Stopwatch {
    margin-bottom: 40px;
  }
}

.Countdown,
.Stopwatch {
  margin-left: 30px;
  margin-right: 30px;
  border: 1px solid #8D00F2;
  padding: 20px;
  background-color: #252533;
}

.Countdown-header,
.Stopwatch-header {
  font-size: 40px;
  font-weight: bold;
}

.Stopwatch-display {
  padding: 40px 0;
  font-size: 48px;
}

.Countdown-display {
  margin-top: 5px;
  margin-bottom: 20px;
}

.Countdown-display button {
  margin: 0 15px;
  padding: 4px 16px;
  color: #ffffff;
  font-size: 16px;
}

.Countdown-label {
  font-size: 18px;
  margin-top: 5px;
  margin-bottom: 10px;
}

.Countdown-time {
  font-size: 36px;
  margin: 5px 25px;
}

.Stopwatch button {
  font-size: 20px;
}

.Countdown {
  padding-top: 10px;
}

.Countdown-display button:hover {
  background-color: #106ba3;
}

button {
  background-color: #8D00F2;
  border: 1px solid #8D00F2 !important;
  color: #FFFFFF !important;
  padding: 10px;
  border-radius: 5px;
}
button.button-circle {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
  border-radius: 50px;
  width: 50px;
  height: 50px;
}
button.button-circle.button-circle--small {
  font-size: 1.5rem;
  width: 35px;
  height: 35px;
}
button.button-circle.button-circle--small i {
  position: relative;
  top: 1px;
}

button:hover {
  background-color: #272042 !important;
}

.button-search {
  padding: 5px;
}

.align-content-center {
  margin: 0 auto;
}

a:hover {
  color: #8D00F2 !important;
}

.thead-colored {
  background-color: #272042;
}

.table-hover-purple:hover tr:hover {
  background-color: #272042 !important;
}

table {
  overflow: hidden;
}

.table-dark {
  background-color: unset;
}

td, th {
  padding: 10px !important;
  position: relative !important;
  border-color: #8D00F2 !important;
  outline: 0 !important;
}

body:not(.nohover) tbody tr:hover {
  background-color: #272042 !important;
}

/* Table vertical line highlight */
td:hover::after,
thead th:not(:empty):hover::after,
td:focus::after,
thead th:not(:empty):focus::after {
  content: "" !important;
  height: 10000px !important;
  left: 0 !important;
  position: absolute !important;
  top: -5000px !important;
  width: 100% !important;
  z-index: -1 !important;
}

td:hover::after,
th:hover::after {
  background-color: #272042 !important;
}

td:focus::after,
th:focus::after {
  background-color: #272042 !important;
}

/* Focus stuff for mobile */
td:focus::before,
tbody th:focus::before {
  background-color: #272042 !important;
  content: "" !important;
  height: 100% !important;
  top: 0 !important;
  left: -5000px !important;
  position: absolute !important;
  width: 10000px !important;
  z-index: -1 !important;
}

.actions-cell i {
  font-size: 1rem;
}
@media (max-width: 991.98px) {
  .actions-cell i {
    font-size: 0.8rem;
  }
}
.actions-cell a + a {
  padding-left: 5px;
  padding-right: 5px;
}

.actions-cells-admin {
  margin: 0 auto;
  font-size: 1rem;
}
.actions-cells-admin a + a, .actions-cells-admin a + i {
  padding-left: 4px;
  padding-right: 4px;
}
.actions-cells-admin .bi-eye-fill {
  color: #FFFFFF;
  padding-right: 1px;
}

.table-scroll {
  margin-bottom: 15px;
}

.input-outlined {
  background-color: #403F51;
  border: 1px solid #272042;
  border-radius: 5px;
  color: #FFFFFF;
  padding: 5px 10px;
}

.input-outlined:focus {
  border: 1px solid #8D00F2 !important;
}

.input-outlined:focus-visible {
  border: 1px solid #8D00F2 !important;
  outline: none;
}

.input-outlined-price {
  font-size: 1.2rem;
  width: 50%;
}

/* Remove Arrows on input number */
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

/* Change Autocomplete styles in Chrome*/
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
  border: 1px solid #8D00F2;
  -webkit-text-fill-color: #FFFFFF;
  -webkit-box-shadow: 0 0 0 1000px #403F51 inset;
  transition: background-color 5000s ease-in-out 0s;
}

.input-outlined-disabled {
  color: #BAB8C9;
}

.input-outlined:hover {
  border: 1px solid #8D00F2;
}

.input-outlined-disabled:hover {
  border: 1px solid #272042;
}

option:checked, option:hover {
  background: #272042;
}

.input-outlined-file-picker {
  width: 235px;
}

input {
  caret-color: #FFFFFF;
}

body::-webkit-scrollbar,
.table-scroll::-webkit-scrollbar,
.container-group-items::-webkit-scrollbar {
  width: 12px;
}

body::-webkit-scrollbar-track,
.table-scroll::-webkit-scrollbar-track,
.container-group-items::-webkit-scrollbar-track {
  background: transparent;
  border-radius: 20px;
}

body::-webkit-scrollbar-thumb,
.table-scroll::-webkit-scrollbar-thumb,
.container-group-items::-webkit-scrollbar-thumb {
  background-color: #403F51;
  border-radius: 20px;
}

/* Pages */
.grid-corrupted {
  display: flex;
}
@media (max-width: 991.98px) {
  .grid-corrupted {
    flex-direction: column;
  }
}
.grid-corrupted .block {
  width: 26.6%;
}
@media (max-width: 991.98px) {
  .grid-corrupted .block {
    width: 100%;
  }
}
.grid-corrupted .invest-benef {
  margin-top: 60px;
}
.grid-corrupted .invest-benef .flex-box-2 {
  flex-wrap: wrap;
  display: flex;
  justify-content: space-between;
}
@media (max-width: 991.98px) {
  .grid-corrupted .bi-arrow-left-right {
    margin: 25px 0 15px 0;
  }
}
.grid-corrupted .add-ingredient {
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 4rem;
  width: 10%;
}

.ingredient-title {
  height: 50px;
  font-size: 1.5rem;
}
@media only screen and (min-width: 992px) and (max-width: 1199.98px) {
  .ingredient-title {
    font-size: 1.3rem;
  }
}

.corrupted-icon {
  border: 1px solid #8D00F2;
  border-radius: 5px;
  padding: 20px;
  background-color: #272042;
}

.corrupted-icon-container {
  display: flex;
  justify-content: center;
}
.corrupted-icon-container div {
  position: relative;
}

.quantity-fury {
  font-size: 1.5rem;
  bottom: 0;
  right: 8px;
  position: absolute;
}

.increase-descrease {
  display: flex;
  gap: 10px;
  width: min-content;
  justify-content: center;
  align-items: center;
  margin: 10px auto;
}

.container-price {
  margin-top: 35px;
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
}

.corrupted-block {
  margin: 0 auto;
  width: 26.6%;
}

.arrow-ingredients {
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 7rem;
}
@media (max-width: 991.98px) {
  .arrow-ingredients {
    line-height: 90px;
    margin-bottom: 20px;
  }
}

.multiplier {
  text-align: center;
}

.container-multiplier {
  margin-top: 15px;
}

.page-caphras .block-caphras {
  width: 30%;
  margin: 0 auto 50px;
}
@media (max-width: 991.98px) {
  .page-caphras .block-caphras {
    width: 100%;
  }
}
.page-caphras .block-caphras .container-level {
  margin: 0 auto;
}
.page-caphras .block-caphras .caphras-labels {
  margin-left: 25%;
}

.table-scroll {
  overflow: scroll;
  overflow-y: hidden;
}

#caphras-price {
  width: 43%;
}

.container-tax {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
@media (max-width: 991.98px) {
  .container-tax .grid-container-3 {
    display: flex;
    justify-content: space-between;
    grid-column-gap: 0;
    width: 100%;
  }
}
@media (max-width: 991.98px) {
  .container-tax .grid-container-3 .col1 {
    width: max-content;
  }
}
@media (max-width: 991.98px) {
  .container-tax .grid-container-3 .input-outlined-price {
    width: 120px;
  }
}

@media (max-width: 991.98px) {
  .flex-center {
    display: flex;
    flex-direction: column;
  }
}

.options-switches-tax-container {
  margin-top: 25px;
  margin-bottom: 25px;
  display: flex;
  justify-content: center;
  gap: 100px;
}

.container-price-no-margin {
  display: flex;
  gap: 10px;
  justify-content: flex-end;
  align-items: center;
}

.grid-tax {
  justify-content: center;
  align-items: flex-start;
}
.grid-tax .block {
  width: 100%;
}
.grid-tax .block1 {
  margin-bottom: 0;
}
.grid-tax .add-ingredient {
  margin-top: 10%;
}
.grid-tax .corrupted-block {
  width: 50%;
}
@media (max-width: 991.98px) {
  .grid-tax .corrupted-block {
    width: 100%;
  }
}

.total-profit {
  margin: 0;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  font-size: 1.5rem;
}
@media (max-width: 991.98px) {
  .total-profit {
    justify-content: center;
  }
}

.final-profit {
  font-size: 1.5rem;
}
@media (max-width: 991.98px) {
  .final-profit {
    text-align: center;
  }
}

.operator-tax {
  font-size: 1.5rem;
}
.operator-tax.equal-operator {
  font-size: 2rem;
}

.number-tax {
  text-align: right;
}

.line {
  line-height: 7rem;
}

.label-tax {
  margin-left: 10px;
}

.profile-logo {
  width: 150px;
  margin-bottom: 25px;
}

.login-container {
  margin: 45px auto;
  width: 35%;
  text-align: center;
}
@media (max-width: 991.98px) {
  .login-container {
    width: 100%;
  }
}

.btn-login-container {
  margin: 0 auto;
}

.btn-login {
  margin-top: 50px;
  width: 65%;
}

.login-alert {
  display: inline-block;
  text-align: center;
  border: none;
  color: #FFFFFF;
  width: 65%;
}

.btn-character {
  margin-top: 50px;
  width: 50%;
}

.block-character {
  width: 40%;
  margin: 0 auto;
  text-align: center;
}
.block-character input, .block-character select {
  margin-bottom: 20px;
}

.block-grindspot {
  width: 55%;
  float: right;
}

.block-character-grindspot {
  float: left;
  margin: 0 0 50px;
}

.block-options-grindspot {
  clear: both;
}

.block-stopwatch-grindspot {
  width: 55%;
  float: right;
  text-align: center;
}
.block-stopwatch-grindspot .Countdown, .block-stopwatch-grindspot .Stopwatch {
  padding: 0;
  border: none;
  margin-left: 0;
  margin-right: 0;
}
.block-stopwatch-grindspot .Countdown {
  border-left: 2px solid #8D00F2;
}
.block-stopwatch-grindspot .Countdown-display button + button {
  margin-left: 5px;
}
.block-stopwatch-grindspot .countdown-buttons button {
  padding: 12px 32px;
}
.block-stopwatch-grindspot .countdown-buttons button + button {
  margin-left: 5px;
}
.block-stopwatch-grindspot .Stopwatch {
  border-right: 2px solid #8D00F2;
}
.block-stopwatch-grindspot .Stopwatch .Stopwatch-display {
  padding-top: 0;
}
.block-stopwatch-grindspot .Stopwatch button + button {
  margin-left: 5px;
}

.flex-options {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.flex-option-container {
  padding-right: 12.5px;
}

.fixed-size {
  width: 86px;
  height: 86px;
}

.btn-grind {
  margin-top: 15px;
  width: 30%;
}

.increase-descrease-node {
  margin: 0;
}
.increase-descrease-node button {
  height: 28px !important;
  width: 28px !important;
}
.increase-descrease-node input {
  height: 28px;
}

.button-hidden {
  visibility: hidden;
}

.total-silver {
  margin-top: 50px;
}

.item-icon-table {
  margin-right: 20px;
}

@media (max-width: 991.98px) {
  .page-scroll .grid-container-2 {
    display: flex;
    flex-direction: column;
  }
}
@media (max-width: 991.98px) {
  .page-scroll .container-price {
    margin-top: 0;
  }
}
@media (max-width: 991.98px) {
  .page-scroll .corrupted-icon-container {
    margin-bottom: 25px;
  }
}

.grid-container-scroll {
  padding-bottom: 30px;
}
@media (max-width: 991.98px) {
  .grid-container-scroll {
    display: flex;
    flex-direction: column;
    gap: 25px;
  }
}

.final-profit-scroll {
  margin-top: 35px;
}
@media (max-width: 991.98px) {
  .final-profit-scroll {
    margin-bottom: 0;
  }
}

.investment-container-scroll {
  position: relative;
}
.investment-container-scroll .final-profit-scroll {
  position: absolute;
  bottom: 25px;
  right: 25px;
  left: 25px;
}
@media (max-width: 991.98px) {
  .investment-container-scroll .final-profit-scroll {
    position: relative;
    bottom: 0;
    right: 0;
    left: 0;
    margin-bottom: 0;
  }
}

.investment-container-scroll {
  position: relative;
}

.block-scroll {
  text-align: center;
}
.block-scroll .Stopwatch {
  width: 40%;
  text-align: center;
  margin: 0 auto 25px;
}
@media (max-width: 991.98px) {
  .block-scroll .Stopwatch {
    width: 100%;
  }
}
.block-scroll .Stopwatch button + button {
  margin-left: 5px;
}

.valuepack-scroll-container {
  margin-top: 15px;
}

.container-price-page-scroll {
  display: flex;
  justify-content: flex-end;
  margin-top: 0;
}

.needed-quantity {
  display: flex;
  justify-content: space-between;
}

.input-qty {
  width: 135.5px;
}

.container-scroll-per-hour {
  margin: 0 auto;
  width: 75%;
}

.title-result {
  margin: 50px;
}

.input-box-add-item {
  margin-bottom: 25px;
}

.btn-submit-item {
  width: 20%;
}

.btn-submit-grindspot {
  margin-bottom: 25px;
  margin-top: 50px;
}

.search-grindspot {
  justify-content: center;
}

.grindspot-preview {
  margin-top: 75px;
}
@media (max-width: 991.98px) {
  .grindspot-preview {
    margin-top: 0;
  }
}

.begin-adventure {
  margin-top: 25px;
}

.graphics-header {
  margin-top: 100px;
}

.block-home {
  padding-right: 50px;
  padding-left: 50px;
}
@media (max-width: 991.98px) {
  .block-home p {
    text-align: center;
  }
}

@media (max-width: 991.98px) {
  .page-header h1 {
    font-size: 2.5rem;
  }
}

@media (max-width: 1199.98px) {
  .page-statistics .grid-container-2 {
    display: flex;
    flex-direction: column;
  }
}

@media (max-width: 991.98px) {
  .page-brackets .grid-container-2 {
    display: flex;
    flex-direction: column;
  }
}

@media (max-width: 991.98px) {
  .page-admin .btn-submit-item {
    width: inherit;
  }
}
@media (max-width: 991.98px) {
  .page-admin .grid-container-2 {
    display: flex;
    flex-direction: column;
  }
}
@media (max-width: 991.98px) {
  .page-admin .grid-container-2 ul {
    padding-inline-start: 0;
  }
}
@media (max-width: 991.98px) {
  .page-admin .grid-container-2 .input-box-add-item .button-search {
    margin-top: 15px;
  }
}
@media (max-width: 991.98px) {
  .page-admin .container-group-items {
    max-height: 300px;
    height: auto;
  }
}

/* Layout */
body {
  background-color: #171419 !important;
  color: #FFFFFF !important;
  font-family: "Ovo-Regular", serif;
  display: flex;
  flex-direction: column;
  font-size: 1.2rem;
  caret-color: transparent;
}
body h4 {
  font-size: 2rem;
  margin-top: 25px;
  margin-bottom: 50px;
}

#root {
  background-image: url("assets/images/backgrounds/background-bdo.png");
  background-position: center bottom !important;
  background-repeat: repeat-x;
}

html, body {
  height: 100%;
}

label {
  display: block;
  margin-top: 10px;
}

.red-text {
  color: #CF6679;
}

.wrapper {
  width: 90%;
  max-width: 1280px;
  margin: 0 auto;
  flex: 1 0 auto;
  min-height: calc(100vh - 295px);
}

footer {
  background-color: #252533;
  clear: both;
  flex-shrink: 0;
  position: relative;
  margin-top: 50px;
  padding: 25px;
  min-height: 50px;
  display: flex;
}
footer .grid-container-3 {
  width: 100%;
}
@media (max-width: 767.98px) {
  footer .grid-container-3 {
    display: flex;
    flex-direction: column;
  }
}
@media (max-width: 767.98px) {
  footer .grid-container-3 .col1:nth-child(1) {
    text-align: center;
    order: 2;
  }
}
@media (max-width: 767.98px) {
  footer .grid-container-3 .text-center {
    order: 3;
    margin-top: 40px;
  }
}
footer .grid-container-3 .text-right {
  display: flex;
  justify-content: flex-end;
}
@media (max-width: 767.98px) {
  footer .grid-container-3 .text-right {
    justify-content: center;
    margin-bottom: 40px;
  }
}
footer .grid-container-4 {
  width: min-content;
}
footer .envelope:hover .bi-envelope-fill,
footer .envelope .bi-envelope-open-fill {
  display: none;
}
footer .envelope:hover .bi-envelope-open-fill {
  display: inline;
}
footer a {
  color: #BAB8C9;
}

.block-submit {
  margin-top: 50px;
  height: 50%;
  text-align: center;
}
.block-submit .btn-submit-return {
  margin-right: 25px;
}

.page-header-flex {
  display: flex;
  justify-content: center;
}

.page-header-flex-title,
.page-header-flex-icon {
  margin-left: auto;
}

.list-group-item {
  background-color: #272042 !important;
  border: 1px solid #272042 !important;
}
.list-group-item img {
  padding-right: 15px;
}

.list-group-item:hover {
  cursor: pointer;
  border: 1px solid #8D00F2 !important;
  font-size: 1.3rem;
}

.list-group-horizontal {
  flex-wrap: wrap;
}
.list-group-horizontal .list-group-item {
  width: 88px;
}

.container-group-items {
  height: 500px;
  overflow: scroll;
  overflow-x: hidden;
}

.modal-body .block {
  margin-bottom: 0;
}

.modal-content {
  background-color: #272042;
}

.modal-header,
.modal-footer {
  border: none;
}
.modal-header button,
.modal-footer button {
  border: none !important;
}

.mobile-hidden {
  padding-left: 5px;
}
@media (max-width: 991.98px) {
  .mobile-hidden {
    display: none;
  }
}

::-moz-selection {
  /* Code for Firefox */
  color: #FFFFFF;
  background: #8D00F2;
}

::selection {
  color: #FFFFFF;
  background: #8D00F2;
}

/*# sourceMappingURL=styles.css.map */
